CREATE TABLE LogTmSoporte ( 
IdUsuario VARCHAR(5) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
Descripcion VARCHAR(1000) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrUnitario DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
ValorOper DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrDcto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrRetencion DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrRetIca DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrBomberil DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrAviTab DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaDct DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
TarifaRet DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
TarifaIca DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
TarifaBom DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
TarifaAvta DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
CodTarDct VARCHAR(4),
CodTarRet VARCHAR(4),
CodTarIca VARCHAR(4),
CodTarifBom VARCHAR(4),
CodTarifAvta VARCHAR(4),
ItemCom INT DEFAULT ((0)) NOT NULL,
CdCuenta VARCHAR(16),
CdCueCre VARCHAR(16),
IdSubgrupo VARCHAR(8),
NitTercero VARCHAR(16),
NomTercero VARCHAR(150),
Producto VARCHAR(250)
 CONSTRAINT PK_LogTmSoporte PRIMARY KEY CLUSTERED (IdUsuario,Item),
 CONSTRAINT CK_LogTmSoporteDescripcion CHECK ((len([Descripcion])>(0))),
 CONSTRAINT CK_LogTmSoporteIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_LogTmSoporteIdUsuario CHECK ((len([IdUsuario])>(0))))
GO